function::stack
Prev | Chapter 2. Context Functions | Next

## Name

function::stack — Return address at given depth of kernel stack backtrace

## Synopsis

        stack:long(n:long)

## Arguments

`n`

  number of levels to descend in the stack.

## Description

Performs a simple (kernel) backtrace, and returns the element at the specified position. The results of the backtrace itself are cached, so that the backtrace computation is performed at most once no matter how many times `stack` is called, or in what order.

Prev | Up | Next
function::sprint_usyms | Home | function::stack_size